%global debug_package %{nil}

Name:		pinta
Version:	1.7
Release:	%mkrel 3
Summary:	An easy to use drawing and image editing program
Group:		Graphics/Editors and Converters

# the code is licensed under the MIT license while the icons are licensed as CC-BY
License:	MIT and CC-BY-3.0
URL:		http://pinta-project.com
Source0:	http://github.com/PintaProject/Pinta/releases/download/%{version}/%{name}-%{version}.tar.gz

Requires:	hicolor-icon-theme
Requires:	mono-addins
BuildRequires:	pkgconfig(mono)
BuildRequires:	pkgconfig(mono-addins)
BuildRequires:	pkgconfig(gapi-2.0)
BuildRequires:	gtk-sharp2
BuildRequires:	gettext
BuildRequires:	glib-sharp2
BuildRequires:	intltool

%description
Pinta is an image drawing/editing program.
It's goal is to provide a simplified alternative to GIMP for casual users.

%prep
%setup -q

# update the project and solution files for mono4
find . -name "*.sln" -print -exec sed -i 's/Format Version 10.00/Format Version 11.00/g' {} \;
find . \( -name "*.csproj" -o -name "*.proj" \) -print -exec sed -i 's#ToolsVersion="3.5"#ToolsVersion="4.0"#g; s#<TargetFrameworkVersion>.*</TargetFrameworkVersion>##g; s#<PropertyGroup>#<PropertyGroup><TargetFrameworkVersion>v4.5</TargetFrameworkVersion>#g; s#Mono.Posix, Version.*"#Mono.Posix"#g' {} \;

%build
%configure
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc readme.md license-mit.txt license-pdn.txt
%{_libdir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/%{name}.*
%{_datadir}/man/man1/%{name}*
%{_datadir}/pixmaps/%{name}*
%{_datadir}/appdata/%{name}.appdata.xml
%{_metainfodir}/%{name}.appdata.xml


%changelog
* Mon Sep 21 2020 tv <tv> 1.7-3.mga8
+ Revision: 1629219
- rebuild mono fixed mono for proper mono provides & requires...

* Mon Sep 21 2020 tv <tv> 1.7-2.mga8
+ Revision: 1629051
- rebuild for new mono

* Fri Aug 07 2020 daviddavid <daviddavid> 1.7-1.mga8
+ Revision: 1611780
- new version: 1.7

* Fri Feb 14 2020 umeabot <umeabot> 1.6-3.mga8
+ Revision: 1515985
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.6-2.mga7
+ Revision: 1300286
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Thu Feb 18 2016 daviddavid <daviddavid> 1.6-1.mga6
+ Revision: 966621
- new version: 1.6
- fix build against mono4 (from Fedora)
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Dec 18 2014 alexl <alexl> 1.5-1.mga5
+ Revision: 804024
- version 1.5
- dropped obsoleted mono-addins.patch
- added missing requires mono-addins (mga#13103)
- updated Source0 tag

* Wed Oct 15 2014 umeabot <umeabot> 1.4-5.mga5
+ Revision: 744031
- Second Mageia 5 Mass Rebuild

* Sat Jan 04 2014 pterjan <pterjan> 1.4-4.mga5
+ Revision: 564633
- Add a pacth to build against Mono.Addins 1.0
+ fwang <fwang>
- br addins
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.4-2.mga3
+ Revision: 377748
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Editors -> Graphics/Editors and Converters

* Sat Sep 29 2012 malo <malo> 1.4-1.mga3
+ Revision: 299208
- update to 1.4
- RPM group update to Graphics/Editors

* Thu Jun 07 2012 malo <malo> 1.3-1.mga3
+ Revision: 256663
- update to 1.3
- drop upstream patch that was merged

* Mon Apr 23 2012 malo <malo> 1.1-2.mga2
+ Revision: 232882
- add patch to fix crash because of missing icons when using Oxygen #5362

* Tue Feb 21 2012 malo <malo> 1.1-1.mga2
+ Revision: 211357
- missing BuildRequires mono-addins
- missing BuildRequires to intltool
- spec clean-up after import from Mandriva
- update to 1.1
- imported package pinta

